Bug 656256 - yum update fails when 389 components are installed
yum update fails when 389 components are installed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: 389-admin (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-23 06:00 EST by Guenther Deschner
Modified: 2011-04-25 19:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 12:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guenther Deschner 2010-11-23 06:00:55 EST
Description of problem:

Tried to update my f14 box today, via gpk-update-viewer. It selects the selinux-policy package but fails to install it: 

selinux-policy-targeted conflicts with 389-admin
selinux-policy-targeted conflicts with 389-ds-base : Success - empty transaction

Version-Release number of selected component (if applicable):

selinux-policy-3.9.7-10.fc14.noarch
389-ds-base-1.2.6.1-2.fc14.x86_64
389-admin-1.1.11-1.fc14.x86_64

How reproducible:

everytime



Steps to Reproduce:
1. Install 389-ds-base and 389-admin
2. try to update to selinux-policy 3.9.7-12
3. see error message
  
Actual results:

error message: selinux-policy-targeted conflicts with 389-admin
selinux-policy-targeted conflicts with 389-ds-base : Success - empty transaction

Expected results:

update succeeds

Additional info:
Comment 1 Miroslav Grepl 2010-11-23 07:37:23 EST
Please update 389-ds-base and 389-admin pkgs from the updates-testing repo and then update selinux-policy.

# yum update 389-ds-base 389-admin --enablerepo=updates-testing
# yum update selinux-policy


It will work.
Comment 2 Charlie 2010-11-23 16:24:31 EST
Same problem here, working with the turnaround. Can you correct this issue without the trick? 

Regards,

Charlie
Comment 3 Nathan Kinder 2010-11-23 16:40:34 EST
This issue will be solved once 389-ds-base and 389-admin are pushed to stable.  This should occur soon since the packages have been marked as stable in Bodhi.
Comment 4 Nathan Kinder 2010-11-24 12:24:58 EST
The new 389-ds-base and 389-admin packages are now in the updates repository.  Updates should work fine now.  I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.